Package com.usatiuk.objects.iterators

# Class NavigableMapKvIterator<K extends Comparable<K>,V>

java.lang.Object
com.usatiuk.objects.iterators.ReversibleKvIterator<K,V>
com.usatiuk.objects.iterators.NavigableMapKvIterator<K,V>

All Implemented Interfaces:
  `CloseableKvIterator<K,V>`, `AutoCloseable`, `Iterator<org.apache.commons.lang3.tuple.Pair<K,V>>`

public class NavigableMapKvIterator<K extends Comparable<K>,V> extends ReversibleKvIterator<K,V>

## Field Summary

### Fields inherited from class com.usatiuk.objects.iterators.ReversibleKvIterator

`_goingForward`

## Constructor Summary

Constructors
Constructor
Description
`NavigableMapKvIterator(NavigableMap<K,? extends V> map, IteratorStart start, K key)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected boolean`
`hasImpl()`
`protected org.apache.commons.lang3.tuple.Pair<K,V>`
`nextImpl()`
`protected K`
`peekImpl()`
`protected void`
`reverse()`
`protected void`
`skipImpl()`
`String`
`toString()`

### Methods inherited from class com.usatiuk.objects.iterators.ReversibleKvIterator

`hasNext, hasPrev, next, peekNextKey, peekPrevKey, prev, skip, skipPrev`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.iterators.CloseableKvIterator

`reversed`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### NavigableMapKvIterator

public NavigableMapKvIterator(NavigableMap<K,? extends V> map, IteratorStart start, K key)

## Method Details

### reverse

protected void reverse()

Specified by:
  `reverse` in class `ReversibleKvIterator<K extends Comparable<K>,V>`

### peekImpl

protected K peekImpl()

Specified by:
  `peekImpl` in class `ReversibleKvIterator<K extends Comparable<K>,V>`

### skipImpl

protected void skipImpl()

Specified by:
  `skipImpl` in class `ReversibleKvIterator<K extends Comparable<K>,V>`

### hasImpl

protected boolean hasImpl()

Specified by:
  `hasImpl` in class `ReversibleKvIterator<K extends Comparable<K>,V>`

### nextImpl

protected org.apache.commons.lang3.tuple.Pair<K,V> nextImpl()

Specified by:
  `nextImpl` in class `ReversibleKvIterator<K extends Comparable<K>,V>`

### close

public void close()

### toString

public String toString()

Overrides:
  `toString` in class `Object`